﻿using System.Diagnostics;

namespace TestProject;

/// <summary>
/// 메인 페이지
/// </summary>
public partial class MainPage : ContentPage
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainPage()

    /// <summary>
    /// 생성자
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        List<PhotoModel> list = new List<PhotoModel>();

        list.Add(new PhotoModel { ID = "0001", Title = "풍경1", ImageSource = ImageSource.FromFile("sample1.jpg") });
        list.Add(new PhotoModel { ID = "0002", Title = "풍경2", ImageSource = ImageSource.FromFile("sample2.jpg") });
        list.Add(new PhotoModel { ID = "0003", Title = "풍경3", ImageSource = ImageSource.FromFile("sample3.jpg") });
        list.Add(new PhotoModel { ID = "0004", Title = "풍경4", ImageSource = ImageSource.FromFile("sample4.jpg") });

        this.carouselView.ItemsSource = list;

        this.carouselView.Scrolled += carouselView_Scrolled;
    }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Private

    #region 캐러셀 뷰 스크롤시 처리하기 - carouselView_Scrolled(sender, e)

    /// <summary>
    /// 캐러셀 뷰 스크롤시 처리하기
    /// </summary>
    /// <param name="sender">이벤트 발생자</param>
    /// <param name="e">이벤트 인자</param>
    private void carouselView_Scrolled(object sender, ItemsViewScrolledEventArgs e)
    {
        Debug.WriteLine("HorizontalDelta : "       + e.HorizontalDelta      );
        Debug.WriteLine("VerticalDelta : "         + e.VerticalDelta        );
        Debug.WriteLine("HorizontalOffset : "      + e.HorizontalOffset     );
        Debug.WriteLine("VerticalOffset : "        + e.VerticalOffset       );
        Debug.WriteLine("FirstVisibleItemIndex : " + e.FirstVisibleItemIndex);
        Debug.WriteLine("CenterItemIndex : "       + e.CenterItemIndex      );
        Debug.WriteLine("LastVisibleItemIndex : "  + e.LastVisibleItemIndex );
    }

    #endregion
}